MP4(3)

NAME

MP4CloneTrack - Make a clone of a specified track

SYNTAX

#include <mp4.h>

MP4TrackId MP4CloneTrack(
    MP4FileHandle srcFile,
    MP4TrackId srcTrackId,
    MP4FileHandle dstFile = MP4_INVALID_FILE_HANDLE,
    MP4TrackId dstHintTrackReferenceTrack = MP4_INVALID_TRACK_ID
)

ARGUMENTS

srcFile
    Specifies the mp4 file of the source track of the operation.

srcTrackId
    Specifies the track id of the track to be cloned.

dstFile
    Specifies the mp4 file of the new, cloned track. If the value is MP4_INVALID_FILE_HANDLE, the new track is created in the same file as the source track.

dstHintTrackReferenceTrack
    When cloning a hint track, this parameter specifies the track id of the reference track in the destination file.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4CloneTrack creates a new track to an mp4 file that is a copy of an existing track with respect to the track media type, and other control information.

Note this function does not copy the media samples of the source track to the new track. If you want to do that use MP4CopyTrack() instead.

SEE ALSO

MP4(3) MP4CopyTrack(3)